- NAME
- DESCRIPTION
- SYNOPSIS
- FUNCTIONS

- apropos
- usage
- sig
- help
- badinfo

# NAME

PDL::Doc::Perldl - commands for accessing PDL doc database from 'perldl' shell

# DESCRIPTION

This module provides a simple set of functions to access the PDL documentation of database, for use from the perldl shell and the pdldoc command-line program.

Currently, multiple matches are not handled very well.

# SYNOPSIS

     use PDL::Doc::Perldl; # Load all documenation functions

# FUNCTIONS

## apropos

Regex search PDL documentation database

     apropos 'text'

     perldl> apropos 'pic'
     rpic            Read images in many formats with automatic format detection.
     rpiccan         Test which image formats can be read/written
     wmpeg           Write an image sequence ((x,y,n) piddle) as an MPEG animation.
     wpic            Write images in many formats with automatic format selection.
     wpiccan         Test which image formats can be read/written

To find all the manuals that come with PDL, try

      apropos 'manual:'

and to get quick info about PDL modules say

      apropos 'module:'

You get more detailed info about a PDL function/module/manual with the `help` function

## usage

Prints usage information for a PDL function

     Usage: usage 'func'

       perldl> usage 'inner'

       inner           inner prodcuct over one dimension
                       (Module PDL::Primitive)

       Signature: inner(a(n); b(n); [o]c(); )

## sig

prints signature of PDL function

     sig 'func'

The signature is the normal dimensionality of the functions arguments. Calling with different dimensions causes 'threading' - see `PDL::PP` for more details.

      perldl> sig 'outer'
        Signature: outer(a(n); b(m); [o]c(n,m); )

## help

print documentation about a PDL function or module or show a PDL manual

In the case of multiple matches, the first command found is printed out, and the remaining commands listed, along with the names of their modules.

     Usage: help 'func'

     perldl> help 'PDL::Slices'   # show the docs in the PDL::Slices module
     perldl> help 'PDL::Intro'    # show the PDL::Intro manual
     perldl> help 'slice'         # show docs on the 'slice' function

## badinfo

provides information on the bad-value support of a function

And has a horrible name.

     badinfo 'func'